Bug 44088 - Cannot expire session via html manager webapp
Cannot expire session via html manager webapp
Product: Tomcat 6
Classification: Unclassified
Component: Manager application
All All
: P2 normal (vote)
: default
Assigned To: Tomcat Developers Mailing List
Depends on:
  Show dependency tree
Reported: 2007-12-17 15:14 UTC by Ben Short
Modified: 2007-12-28 13:27 UTC (History)
0 users

Patch code this fixes this bug (1.34 KB, patch)
2007-12-17 15:16 UTC, Ben Short
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ben Short 2007-12-17 15:14:23 UTC
The html manager webapp done not work correctly when clicking the expire
sessions button. The idle param is missing from the form.

The following html shows this bug...

<form method="POST" action="/manager/html/expire?path=/">
  &nbsp;<input type="submit" value="Expire sessions">&nbsp;with idle
&ge;&nbsp;<input type="text" name="expire" size="5" value="30">&nbsp;minutes&nbsp;

The name of the text input should be idle.
Comment 1 Ben Short 2007-12-17 15:16:04 UTC
Created attachment 21280 [details]
Patch code this fixes this bug

This patch should be applied to the trunk.
Comment 2 Mark Thomas 2007-12-23 15:09:16 UTC
Fixed in trunk and proposed for 6.0.x
Comment 3 Mark Thomas 2007-12-28 13:27:49 UTC
This is fixed in svn and will be included in 6.0.16 onwards.